#define BUFFER_SIZE 32

struct Title
{
  char text[BUFFER_SIZE];
};

struct Pc2phoneWindow
{
  struct Title title;
};

struct PrefsWindow
{
  struct Title title;
};

struct CallsHistoryWindow
{
  struct Title title;
};

struct HistoryWindow
{
  struct Title title;
};

struct ChatWindow
{
  struct Title title;
};

struct AddressBookWindow
{
  struct Title title;
};

struct DruidWindow
{
  struct Title title;
};

struct AccountsWindow
{
  struct Title title;
};

struct MainWindow
{
  struct Title title;
};

struct UI
{
  struct Pc2phoneWindow     pc2phoneWindow;
  struct PrefsWindow        prefsWindow;
  struct CallsHistoryWindow callsHistoryWindow;
  struct HistoryWindow      historyWindow;
  struct ChatWindow         chatWindow;
  struct AddressBookWindow  addressBookWindow;
  struct DruidWindow        druidWindow;
  struct AccountsWindow     accountsWindow;
  struct MainWindow         mainWindow;
};


/* DESCRIPTION  :  /
 * BEHAVIOR     :  Parse file xmlUIConfFile, and populate structure userInterface.
 * PRE          :  xmlUIConfFile is a xml file that contains the user interface's parameters
 *          such as names and positions. And userInterface is a structure that stores all
 *          these information.
 */
int parse(char * xmlUIConfFile,
          struct UI * userInterface);
